API DocumentationComputers
Delete a VM
Delete VM with given ID
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Path Parameters
vm_id*string
A unique identifier for a VM instance.
Format
uuidResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X DELETE "https://example.com/v1/vms/cc3ccab2-0ae2-11ef-9136-6a0922f6458b"null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}